public class Gizmo
{ 
   private String maker;
   private boolean isE;
   
   //PART C
   private double cost;
   
   //set maker to m
   //set isE to e
   //added parameter c for PART C
   public Gizmo( String m, boolean e, double c )
   {
   	maker = m;
   	isE = e;
   	cost = c;
   }
   
   //returns the maker of this Gizmo
   public String getMaker()
   {   
   	return maker; 
   }

   //returns true is this Gizmo is electronic
   public boolean isElectronic()
   {   
   	return isE;  
   }
   
   //PART C 
   public double getCost()
   {
   	return cost;
   }

   /* 
     Returns true if this Gizmo matches other Gizmo
     both this Gizmo and the other Gizmo
     must have the same instance variable values
   */
   //added cost check for PART C
   public boolean equals(Object other)
   {   
   	Gizmo g = (Gizmo)other;							//its legal - don't let it scare you :)
   	return getMaker().equals(g.getMaker()) && g.isE == isE && cost == g.cost;    
   }
   
   //returns all instance variables as a string
   //added cost for PART C
   public String toString()
   {
   	return "" + maker + " " + isE + " " + cost;
   }
}
