public class OnlinePurchaseManagerRunner
{
   public static void main(String args[])
	{
		/*
		  starting sample question test cases		 
		  maker values				"ABC"	"ABC"	"XYZ"	"lmnop"	"ABC"	"ABC"
		  electronic values		true	false	 true	 false	true	false		  
		*/
		OnlinePurchaseManager op = new OnlinePurchaseManager();
		op.add( "ABC", true, 5 );
		op.add( "ABC", false, 66 );
		op.add( "XYZ", true, 8 );
		op.add( "lmnop", false, 2.4 );
		op.add( "ABC", true, 7.1 );
		op.add( "ABC", false, 9.987 );		
		System.out.println( op.countElectronicsByMaker( "ABC" ) );  //outs 2
		System.out.println( op.countElectronicsByMaker( "DOG" ) );  //outs 0
		System.out.println( op.countElectronicsByMaker( "lmnop" ) );  //outs 0
		System.out.println( op.countElectronicsByMaker( "XYZ" ) );  //outs 1		
		System.out.println( op.hasAdjacentEqualPair() );  //outs false
		System.out.println( op );	
			
		//additional test cases
		op.add( "APLUS", false, 22 );
		System.out.println( op.hasAdjacentEqualPair() );  //outs false

		//additional test cases		
		op.add( "ABC", false, 1.6 );
		op.add( "ABC", true, 8.43 );
		op.add( "ABC", false, 78.123 );
		System.out.println( op.countElectronicsByMaker( "ABC" ) );  //outs 4	
		System.out.println( op.hasAdjacentEqualPair() );  //outs true	
		System.out.println( op );		
			
		System.out.println( op.getCheapestGizmoByMaker( "ABC" ) );  //outs ABC false 1.6
		System.out.println( op.getCheapestGizmoByMaker( "APLUS" ) );  //outs APLUS false 22.0																																
	} 
}